Vad gör man med .bin filer?

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005

Vad gör man med .bin filer?

Hejsan!

Detta är antagligen en väldigt nybörjareig fråga...
Hur bär jag mig åt med en .bin-fil i ubuntu?

Det är så att jag ska installera en cs server, och efter dom guiderna jag tittat i, utgår dom från en install där man har en tar.gz-fil. Problemet är att nyaste installfilen från steampowered är en .bin-fil. Jag är tacksam för all vägledning jag kan få.

//David

p.s. Skratta inte åt mig d.s.

It´s nice to be important, but it´s more important to be nice.
Scooter

Trädvy Permalänk
Medlem
Plats
Göteborg
Registrerad
Okt 2005

en .bin-fil är väl en binär du skall exekvera? (dvs ändra rättigheterna till att du får exekvera den, kan göras med chmod a+x filnamn.bin och sedan köra filen med ./filnamn.bin)?

Björn

Trädvy Permalänk
Medlem
Plats
Nora
Registrerad
Aug 2004

första länken från ett google försök,
http://www.japje.nl/linux-steam-and-cs16-install-guide

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005
Citat:

Ursprungligen inskrivet av blattis
första länken från ett google försök,
http://www.japje.nl/linux-steam-and-cs16-install-guide

Den guiden har jag sett... men den behandlar ju bara installationen med en tar.gz fil.

It´s nice to be important, but it´s more important to be nice.
Scooter

Trädvy Permalänk
Medlem
Plats
Hjo
Registrerad
Jul 2001

Re: Vad gör man med .bin filer?

Citat:

Ursprungligen inskrivet av SnuGGleS_88
Hejsan!

Detta är antagligen en väldigt nybörjareig fråga...
Hur bär jag mig åt med en .bin-fil i ubuntu?

Det är så att jag ska installera en cs server, och efter dom guiderna jag hitta stog det att det sklle vara en tar.gz man skulle få ner, men det var det inte. Så om någon vet någon nyss uppdaterad guide vore jag evigt tacksam.

//David

p.s. Skratta inte åt mig d.s.

Låt inte filändelsen förbrylla dig. När du inte vet vad det är för fil du har exakt så kör helt enkelt:

file filen

Programmet file kommer då att säga dig vad det är för slags fil och utifrån det kan du sedan gå vidare.

Av egen erfarenhet så brukar många döpa skalskript till just .bin. Varför vet jag inte.
Skulle det visa sig vara ett skalskript så funkar det säkerligen genom att bara exekvera det genom följande alternativ:

prompt# ./foo.bin (vilket kräver att filen har exekveringsrättigheter)

Eller

prompt# sh foo.bin (förutsatt att file säger att foo.bin är ett skalskript)

Hoppas det gav dig något

[b]/* May the source be with you... */[/b]

Trädvy Permalänk
Medlem
Plats
Nora
Registrerad
Aug 2004
Citat:

Ursprungligen inskrivet av SnuGGleS_88
Den guiden har jag sett... men den behandlar ju bara installationen med en tar.gz fil.

antingen är det jag som inte kan läsa, annars är det du, jag hoppas det är du, för når du har packa upp filen så får du en .bin fil.

följ guiden annars ?

Trädvy Permalänk
Medlem
Plats
Luleå
Registrerad
Apr 2004

Ahh, älska alla människor med ubuntu som ställer sina frågor utan någon som helst vidare research.

Ubuntu - Creating monsters since 2004

Asus Maximus II formula, E8400 @ 3.9GHz, 4GB Dominator DDR2, Radeon HD4850.

Trädvy Permalänk
Medlem
Plats
södermalm
Registrerad
Nov 2003
Citat:

Ursprungligen inskrivet av SwedishPshyco
Ahh, älska alla människor med ubuntu som ställer sina frågor utan någon som helst vidare research.

Ubuntu - Creating monsters since 2004

Är det unikt för just Ubuntu-användare? Nej, just det. Elitistiskt struntprat!

Trädvy Permalänk
Medlem
Plats
Luleå
Registrerad
Apr 2004
Citat:

Ursprungligen inskrivet av DI6
Är det unikt för just Ubuntu-användare? Nej, just det. Elitistiskt struntprat!

Nej, men det är det som är trenden just nu.

Asus Maximus II formula, E8400 @ 3.9GHz, 4GB Dominator DDR2, Radeon HD4850.

Trädvy Permalänk
Medlem
Registrerad
Mar 2005

Den mest uppenbara trenden väl egentligen att folk som kört Unix-alikes ett tag drygar som fan så fort en nybörjare ställer en fråga. Trist inställning. Hjälp till i stället.

Och ja, jag kör Ubuntu på en dator. Är inte en idiot eller ett frågemonster för det.

Håkan

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005

No such file or directory!?

Last login: Wed Oct 11 14:57:05 2006
david@ventriloganget:~$ cd /usr/hlds
david@ventriloganget:/usr/hlds$ ./hldsupdatetool.bin
-bash: ./hldsupdatetool.bin: No such file or directory
david@ventriloganget:/usr/hlds$ ls
hldsupdatetool.bin
david@ventriloganget:/usr/hlds$ /usr/hlds/hldsupdatetool.bin
-bash: /usr/hlds/hldsupdatetool.bin: No such file or directory
david@ventriloganget:/usr/hlds$

Varför säger den att det inte finns någon fil, fast den ligger där?

It´s nice to be important, but it´s more important to be nice.
Scooter

Trädvy Permalänk
Medlem
Plats
Laholm
Registrerad
Okt 2005

Skriv "ls -lA" och ge oss vad den skrev.
Om den ger ---------- så är något fel. chmod +x foo.foo löser det.

ASP.NET programmerare i C#
Twitter: http://www.twitter.com/hagbarddenstore

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005
Citat:

Ursprungligen inskrivet av hagbarddenstore
Skriv "ls -lA" och ge oss vad den skrev.
Om den ger ---------- så är något fel. chmod +x foo.foo löser det.

Jag fick till svar följande:
-rwxr-xr-x 1 root root 3513408 2005-05-12 02:08 hldsupdatetool.bin

It´s nice to be important, but it´s more important to be nice.
Scooter

Trädvy Permalänk
Medlem
Plats
Laholm
Registrerad
Okt 2005

Då är det bekräftat att det är en fil och att den har +x... Då vet jag inte mer. Lämnar över till de andra.

ASP.NET programmerare i C#
Twitter: http://www.twitter.com/hagbarddenstore

Trädvy Permalänk
Medlem
Plats
Câmara de Lobos, Madeira, Portugal
Registrerad
Nov 2005

Försök med: sudo /usr/hlds/hldsupdatetool.bin
Troligen har du som vanlig användare inte rätt att gå in i katalogen /usr/hlds.
Skriptet måste i alla fall köras med sudo för att det skall kunna skriva något i /usr/hlds. Endast root har och skall ha skrivrättighet i /usr med underliggande kataloger.

Fagerja

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005
Citat:

Ursprungligen inskrivet av fagerja
Försök med: sudo /usr/hlds/hldsupdatetool.bin
Troligen har du som vanlig användare inte rätt att gå in i katalogen /usr/hlds.
Skriptet måste i alla fall köras med sudo för att det skall kunna skriva något i /usr/hlds. Endast root har och skall ha skrivrättighet i /usr med underliggande kataloger.

david@ventriloganget:/usr/hlds$ sudo /usr/hlds/hldsupdatetool.bin
Password:
sudo: unable to execute /usr/hlds/hldsupdatetool.bin: No such file or directory

Någon som vet!?

It´s nice to be important, but it´s more important to be nice.
Scooter

Trädvy Permalänk
Medlem
Plats
/dev/null
Registrerad
Feb 2004

Gissar på att du kör ett 64-bits OS och försöker köra en 32-bits binär utan att ha kompatibilitets libs installerade. Har jag fel?
Annars kanske du har en för ny version av libstdc++, installera libstdc++ 5.x

Hur man installerar program i *nix | There is no Swedish conspiracy

these days you can't use the Web at 2400 baud because the ads are 24KB - Bill Joy

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005
Citat:

Ursprungligen inskrivet av Lunke
Gissar på att du kör ett 64-bits OS och försöker köra en 32-bits binär utan att ha kompatibilitets libs installerade. Har jag fel?
Annars kanske du har en för ny version av libstdc++, installera libstdc++ 5.x

Det är korrekt... jag kör en 64 bitars version av ubuntu server, med xfce skrivbord. Hur bär jag mig åt för at installera "kompatibilitets libs", och vad är det?

Om det är så att jag har en "för ny" version, måsste jag avinstallera den för att det ska fungera?

//David

It´s nice to be important, but it´s more important to be nice.
Scooter

Trädvy Permalänk
Medlem
Plats
Laholm
Registrerad
Okt 2005

Snälla snälla snälla! FATTA! Är så jävla trött på folket som tror att de kan köra allt 32-bitars på ett 64-bitars OS. NEJ NEJ NEJ. Installera om och installera 32-bitars OS och stör inte oss med sådana här frågor. Du måste tänkta lite utanför lådan. ÄR bara så jävla trött på folket som sitter och felsöker, sen kommer de på att de har 64-bitars OS. Bara för att det lät coolt och de vill utnyttja deras CPU. !?

ASP.NET programmerare i C#
Twitter: http://www.twitter.com/hagbarddenstore

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005
Citat:

Ursprungligen inskrivet av hagbarddenstore
Snälla snälla snälla! FATTA! Är så jävla trött på folket som tror att de kan köra allt 32-bitars på ett 64-bitars OS. NEJ NEJ NEJ. Installera om och installera 32-bitars OS och stör inte oss med sådana här frågor. Du måste tänkta lite utanför lådan. ÄR bara så jävla trött på folket som sitter och felsöker, sen kommer de på att de har 64-bitars OS. Bara för att det lät coolt och de vill utnyttja deras CPU. !?

Jag installera inte 64-bitars OS för att det lät coolt... det stod att jag, om jag var säker på att jag hade 64-bitars processor skulle ha den versionen. Jag ber så mycket om ursäkt, men jag visste inte bättre.

Kommer alla fel lösa sig, bara jag installerar ett 32-bitars OS?

//David

It´s nice to be important, but it´s more important to be nice.
Scooter

Trädvy Permalänk
Medlem
Plats
/dev/null
Registrerad
Feb 2004
Citat:

Ursprungligen inskrivet av hagbarddenstore
Snälla snälla snälla! FATTA! Är så jävla trött på folket som tror att de kan köra allt 32-bitars på ett 64-bitars OS. NEJ NEJ NEJ. Installera om och installera 32-bitars OS och stör inte oss med sådana här frågor. Du måste tänkta lite utanför lådan. ÄR bara så jävla trött på folket som sitter och felsöker, sen kommer de på att de har 64-bitars OS. Bara för att det lät coolt och de vill utnyttja deras CPU. !?

Snälla snälla snälla! FATTA! Är så jävla trött på folket som skriver helt meningslösa inlägg bara för att de vill verka häftiga. NEJ NEJ NEJ.

suck..

@SnuGGleS_88: Om du vill kör du på 64-bits, men rent generellt brukar det vara lite struligare än 32-bits iom att det är nyare/inte lika testat. Dock verkar det som om hlds inte stöds alls på 64-bits platformen av att döma av det här: http://packages.gentoo.org/search/?sstring=halflife-steam . Så det blir nog till att byta till 32-bits iaf för dig..

Hur man installerar program i *nix | There is no Swedish conspiracy

these days you can't use the Web at 2400 baud because the ads are 24KB - Bill Joy

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005
Citat:

Ursprungligen inskrivet av Lunke
Snälla snälla snälla! FATTA! Är så jävla trött på folket som skriver helt meningslösa inlägg bara för att de vill verka häftiga. NEJ NEJ NEJ.

suck..

@SnuGGleS_88: Om du vill kör du på 64-bits, men rent generellt brukar det vara lite struligare än 32-bits iom att det är nyare/inte lika testat. Dock verkar det som om hlds inte stöds alls på 64-bits platformen av att döma av det här: http://packages.gentoo.org/search/?sstring=halflife-steam . Så det blir nog till att byta till 32-bits iaf för dig..

För det första får jag väll tacka för stödet, jag kan tyvärr inte hjälpa att jag är nybörjare inom området.

Jag kommer installera om, och välja ett 32-bitars system. Antagligen dyker det väl upp en ny tråd med alla mina "dumma" frågor.

Tack alla hjälpsamma, och ni andra... varför ignorerar ni inte tråden bara!?

//David

It´s nice to be important, but it´s more important to be nice.
Scooter

Trädvy Permalänk
Medlem
Registrerad
Nov 2002
Citat:

Ursprungligen inskrivet av hagbarddenstore
Snälla snälla snälla! FATTA! Är så jävla trött på folket som tror att de kan köra allt 32-bitars på ett 64-bitars OS. NEJ NEJ NEJ. Installera om och installera 32-bitars OS och stör inte oss med sådana här frågor. Du måste tänkta lite utanför lådan. ÄR bara så jävla trött på folket som sitter och felsöker, sen kommer de på att de har 64-bitars OS. Bara för att det lät coolt och de vill utnyttja deras CPU. !?

Tro och tro, faktum är att det går alldeles utmärkt. I min värld vill man utnyttja sin CPU så mycket som möjligt. Allt som behövs för att det ska fungera är några 32-bitars bibliotek: http://packages.ubuntu.com/dapper/libs/ia32-libs

SnuGGleS_88: Installera INTE om och installera 32-bitars. Installera paketet ia32-libs (apt-get install ia32-libs) och försök igen. Det är ett paket som ser till att du kan köra program som är kompilerade under 32-bitars Linux. HLDS finns i 64-bitarsutförande när du väl har lyckats få ner det med 32-bitars programmet...

Jag har inte provat i Ubuntu, men det fungerar fint i Debian Etch/amd64, och är jag övertygad om att det kommer att fungera lika bra i Ubuntu, eftersom det troligen är precis samma paket.

Här är en liten logg från min 64-bitars (Debian etch) burk där jag kör ett 32-bitars program från Debian sarge, med ia32-libs...

andreas@stenros:~$ uname -srmo Linux 2.6.19-rc1 x86_64 GNU/Linux andreas@stenros:~$ file /bin/echo /bin/echo: ELF 64-bit LSB executable, AMD x86-64, version 1 (SYSV), for GNU/Linux 2.6.0, dynamically linked (uses shared libs), for GNU/Linux 2.6.0, stripped andreas@stenros:~$ file ./echo32 ./echo32: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.2.0, dynamically linked (uses shared libs), for GNU/Linux 2.2.0, stripped andreas@stenros:~$ /bin/echo sexa sexa andreas@stenros:~$ ./echo32 fyra fyra

Trädvy Permalänk
Medlem
Plats
Nossebro
Registrerad
Mar 2005
Citat:

Ursprungligen inskrivet av peritus
Tro och tro, faktum är att det går alldeles utmärkt. I min värld vill man utnyttja sin CPU så mycket som möjligt. Allt som behövs för att det ska fungera är några 32-bitars bibliotek: http://packages.ubuntu.com/dapper/libs/ia32-libs

SnuGGleS_88: Installera INTE om och installera 32-bitars. Installera paketet ia32-libs (apt-get install ia32-libs) och försök igen. Det är ett paket som ser till att du kan köra program som är kompilerade under 32-bitars Linux. HLDS finns i 64-bitarsutförande när du väl har lyckats få ner det med 32-bitars programmet...

Jag har inte provat i Ubuntu, men det fungerar fint i Debian Etch/amd64, och är jag övertygad om att det kommer att fungera lika bra i Ubuntu, eftersom det troligen är precis samma paket.

S.K.I.T. också... har redan hunnit blåsa och installera om burken. Tjänar man mycket prestanda på att köra den i 64-bitars version?

Har dessutom stött på ett nytt problem när jag ska installera cs-servern, jag får följande felmedelande när den laddar ner och installerar:

Downloading: .\valve\halflife.wad
Compression Failure

Provat att köra några gånger och den fastnar alltid på halflife.wad...

Tacksam för all hjälp... men påstå gärna inte att jag t.ex. måsste installera om ubuntu, om det inte är nödvändigt, det tar ju ändå en stund

//David

It´s nice to be important, but it´s more important to be nice.
Scooter